#ifndef SEPMYWRAPPER_H
#define SEPMYWRAPPER_H 1
#include "Vector.h"
#include "byteswapper.h"
#include "hilbert.h"
#include "sincCoef.h"
namespace SEPMY {
// declaration of functions
void endianSwap(MYVector& vec);          // endian swap
void hilbert(MYVector& x, MYVector& y);  // hilbert tranformation z = x + i y, from x get y



// actual implementation of functions
void endianSwap(MYVector& vec) {
	int n = vec.size();
	float *dataPtr = vec.getData();
	Byteswapper a;
	a.byte_rev((char *)dataPtr, n, "float");
}

void hilbert(MYVector& x, MYVector& y) {
	int n = x.size();
	float *dataX = x.getData();
	float *dataY = y.getData();
	void hilbert(dataX, dataY, n);
}


}
#endif
