#include "SEPMYinc.h"
#include "Vector.h"

using namespace std;
using namespace SEPMY;
/*
 *  estimate acquisition gap, hard code the coefficient
 *
 */



int main(int argc, char *argv[]) {
	initpar(argc, argv);
	int ntrace = 1303, noff = 280;
	float x0 = 10055108, dx = 41; // mid point, x % 41 == 23
	int nt = 2126;
	float *data = new float[nt];
	float *map = new float[ntrace * noff];
	for (int itrace = 0; itrace < ntrace; itrace++) {
		for (int ioff = 0; ioff < noff; ioff++) {
			sreed("data", data, sizeof(float) * nt);
			map[itrace * noff + ioff] = 0.0;
			for (int it = 0; it < nt; it++) {
				if (fabs(data[it]) > 0.000) {
					map[itrace * noff + ioff] = 1.;
					break;
				}
			}
		}
	}
	srite("map", map, sizeof(float) * ntrace * noff);
	return 0;
}
