#include "SEPMYinc.h"
#include "Vector.h"
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <iomanip>
using namespace std;
using namespace SEPMY;

/*
 *  code to compare analytical solution and numerical solution
 *
 *  Input:
 *
 *  Output:
 *
 *  Author: Yinbin Ma
 *  First created: 2018-02-06
 *  Last Modified: 2018-02-06
 */

int main (int argc, char *argv[]) {
	initpar(argc, argv);
	cout << "========== Checking headers ==========" << endl;
	//set up propagation par
	int nt, noff, nmid, nhead;
	float dt, ooff, doff, omid, dmid;
	int type = 1;
	getch("dset", "d", &type);
	if (type == 1) {
		cout << "CGG monitor, line 11125, CMP gather" << endl;
		nhead = 12;
		nt = 2000, dt = 0.004;
		noff = 30, ooff = 1146, doff = 492;
		nmid = 1264, omid = 10062119, dmid = 41;
	}
	if (type == 2) {
		cout << "Chevron monitor, line 11125, CMP gather" << endl;
		nhead = 12;
		nt = 2126, dt = 0.004;
		noff = 119, ooff = -400, doff = -200;
		nmid = 1833, omid = 10050650, dmid = 41;
	}
	int *header = new int[nmid * noff * nt];
	sreed("header", header, sizeof(float) * nmid * noff * nt);
	int pre;
	for (int imid = 0; imid < nmid; imid++) {
		for (int ioff = 0; ioff < noff; ioff++) {
			int id = imid * noff + ioff;
			int sy = header[id * nhead + 7 + type - 1];
			int gy = header[id * nhead + 9 + type - 1];
			//cout << "mid = " << setw(10) << omid + dmid * imid << ", "  << setw(10) << (sy + gy) / 2.0;
			//cout << ", offset = " << setw(5) << ooff + ioff * doff << ", " << setw(5) << sy - gy << endl;
			if (ioff == 0 && imid > 0) {
				cout << "imid = " << imid + 1721 << ", inc = " << (sy + gy) / 2 - pre << endl;
//				int my = (sy + gy);
//				float res = my / 2.0 - (imid + 1721) * 41 - 41 * 243417 - 22;
//				cout << "imid = " << (imid + 1721) << ", midY = 41 * 243417 + 41 * imid + 22 + (" << res << ")" << endl;
			}
//			if (fabs(omid + dmid * imid - (sy + gy) / 2.0) > 0.1) {
//				cout << "fuck you mid " << omid + dmid * imid - (sy + gy) / 2.0 << endl;
//				//return 0;
//			}
//			if (fabs(ooff + ioff * doff - (sy - gy)) > 0.1) {
//				cout << "fuck you offset " << ooff + ioff * doff - (sy - gy) << endl;
//				//return 0;
//			}
			pre = (sy + gy) / 2;
		}
	}
	return 0;
}


